MPD: MixRampInfo Class Reference

MPD 0.20.15

Public Member Functions
MixRampInfo Class Reference

`#include <MixRampInfo.hxx>`

## Public Member Functions
| MixRampInfo ()=default
void | Clear () noexcept
gcc_pure bool | IsDefined () const noexcept
gcc_pure const char * | GetStart () const noexcept
gcc_pure const char * | GetEnd () const noexcept
void | SetStart (const char *new_value) noexcept
void | SetStart (std::string &&new_value) noexcept
void | SetEnd (const char *new_value) noexcept
void | SetEnd (std::string &&new_value) noexcept

## Detailed Description

Definition at line 28 of file MixRampInfo.hxx.

## Constructor & Destructor Documentation

## ◆ MixRampInfo()

MixRampInfo::MixRampInfo | ( |  | ) |
| default

## Member Function Documentation

## ◆ Clear()

void MixRampInfo::Clear | ( |  | ) |
| inlinenoexcept

Definition at line 34 of file MixRampInfo.hxx.

## ◆ GetEnd()

gcc_pure const char* MixRampInfo::GetEnd | ( |  | ) | const
| inlinenoexcept

Definition at line 50 of file MixRampInfo.hxx.

## ◆ GetStart()

gcc_pure const char* MixRampInfo::GetStart | ( |  | ) | const
| inlinenoexcept

Definition at line 45 of file MixRampInfo.hxx.

## ◆ IsDefined()

gcc_pure bool MixRampInfo::IsDefined | ( |  | ) | const
| inlinenoexcept

Definition at line 40 of file MixRampInfo.hxx.

## ◆ SetEnd() [1/2]

void MixRampInfo::SetEnd | ( | const char * | new_value | ) |
| inlinenoexcept

Definition at line 65 of file MixRampInfo.hxx.

## ◆ SetEnd() [2/2]

void MixRampInfo::SetEnd | ( | std::string && | new_value | ) |
| inlinenoexcept

Definition at line 72 of file MixRampInfo.hxx.

## ◆ SetStart() [1/2]

void MixRampInfo::SetStart | ( | const char * | new_value | ) |
| inlinenoexcept

Definition at line 54 of file MixRampInfo.hxx.

## ◆ SetStart() [2/2]

void MixRampInfo::SetStart | ( | std::string && | new_value | ) |
| inlinenoexcept

Definition at line 61 of file MixRampInfo.hxx.

The documentation for this class was generated from the following file:

- MixRampInfo.hxx